require 'active_support'

module Gemthief
  extend ActiveSupport::Autoload

  autoload :Executive
  autoload :Scene
  autoload :View

  class << self
    @game = @game_class = nil

    attr_writer :game
    attr_accessor :game_class

    def game
      @game ||= (game_class.new if game_class)
    end

    def config
      game.config
    end
  end
end
